@echo off
for /f "delims=" %%j in ("%cd%\运行这里进行设备升级.bat") do set "exe=%%~nxj" &set "exep=%%~dpj"
set "lnk=%exe:~0,-4%" 
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders (""AllUsersStartMenu"") & ""\%lnk%.lnk""):b.TargetPath=""%exep%%exe%"":b.WorkingDirectory=""%exep%"":b.Save:close")  
for /f "delims=" %%j in ("%cd%\Uninstall.cmd") do set "exe=%%~nxj" &set "exep=%%~dpj"
set "lnk=%exe:~0,-4%" 
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders (""AllUsersStartMenu"") & ""\卸载-索智炬力mpn量产.lnk""):b.TargetPath=""%exep%%exe%"":b.WorkingDirectory=""%exep%"":b.Save:close") 
cd /d %allusersprofile%\Microsoft\Windows\Start Menu\
md "Programs\索智炬力mpn量产 v1.1"
for %%i in (运行这里进行设备升级 卸载-索智炬力mpn量产) do move %%i.lnk "Programs\索智炬力mpn量产 v1.1"
cd /d %~dp0&mshta VBScript:CreateObject("WScript.Shell").run("运行这里进行设备升级.bat")(close)